<template>
    <div class="d-flex justify-content-center">
        <div class="text-left col-1">
            <div>don't have any phone numbers :</div>
            <div v-for="(item, index) in name" :key="index">
                <div><b>{{item.name}}</b></div>
            </div>
        </div>
        <div class="text-left col-1">
            <div>have articles : </div>
            <div v-for="(item, index) in artikel" :key="index">
                <div><b>{{item.name}}</b></div>
            </div>
        </div>
        <div class="text-left col-1">
            <div>have "annis" on diveir name :</div>
            <div><b>{{findnama}} Name Annis</b></div>
        </div>
        <div class="text-left col-1">
            <div>have articles on dive year 2020 :</div>
            <div><b>{{findartikel}} Articles</b></div>
        </div>
        <div class="text-left col-1">
            <div>are born in 1986 :</div>
            <div><b>{{findborn}} Born in 1986</b></div>
        </div>
        <div class="text-left col-1">
            <div>articles divat contain "tips" on dive title</div>
            <div><b>{{findtype}} Articles</b></div>
        </div>
        <div class="text-left col-1">
            <div><div>articles published before August 2019</div></div>
            <div><b>{{findartikel}} Articles</b></div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'HelloWorld',
    data() {
        return {
            data: '',
            name: [],
            artikel: [],
            findnama: '',
            findartikel: '',
            findtype: 2,
            findborn: '',
            getData: [
                {
                    "id": 323,
                    "username": "rinood30",
                    "profile": {
                    "full_name": "Shabrina Fauzan",
                    "birthday": "1988-10-30",
                    "phones": [
                        "08133473821",
                        "082539163912"
                    ]
                    },
                    "articles": [
                    {
                        "id": 3,
                        "title": "Tips Berbagi Makanan",
                        "published_at": "2019-01-03T16:00:00"
                    },
                    {
                        "id": 7,
                        "title": "Cara Membakar Ikan",
                        "published_at": "2019-01-07T14:00:00"
                    }
                    ]
                },
                {
                    "id": 201,
                    "username": "norisa",
                    "profile": {
                    "full_name": "Noor Annisa",
                    "birthday": "1986-08-14",
                    "phones": []
                    },
                    "articles": [
                    {
                        "id": 82,
                        "title": "Cara Membuat Kue Kering",
                        "published_at": "2019-10-08T11:00:00"
                    },
                    {
                        "id": 91,
                        "title": "Cara Membuat Brownies",
                        "published_at": "2019-11-11T13:00:00"
                    },
                    {
                        "id": 31,
                        "title": "Cara Membuat Brownies",
                        "published_at": "2019-11-11T13:00:00"
                    }
                    ]
                },
                {
                    "id": 42,
                    "username": "karina",
                    "profile": {
                    "full_name": "Karina Triandini",
                    "birthday": "1986-04-14",
                    "phones": [
                        "06133929341"
                    ]
                    },
                    "articles": []
                },
                {
                    "id": 201,
                    "username": "icha",
                    "profile": {
                    "full_name": "Annisa Rachmawaty",
                    "birthday": "1987-12-30",
                    "phones": []
                    },
                    "articles": [
                    {
                        "id": 39,
                        "title": "Tips Berbelanja Bulan Tua",
                        "published_at": "2019-04-06T07:00:00"
                    },
                    {
                        "id": 43,
                        "title": "Cara Memilih Permainan di Steam",
                        "published_at": "2019-06-11T05:00:00"
                    },
                    {
                        "id": 58,
                        "title": "Cara Membuat Brownies",
                        "published_at": "2019-09-12T04:00:00"
                    }
                    ]
                }
            ]
        }
    },
    mounted () {
        this.DatagetPhone()
    }, 
    methods: {
        DatagetPhone() {
            this.getData.map(item => {
                this.data = item.profile.phones.length
                var name = item.username
                if(this.data === 0) {
                    this.name.push({name})
                }
            })
            this.DatagetArticles()
        },
        DatagetArticles() {
            this.getData.map(value => {
                this.data = value.articles.length
                var name = value.username
                if(this.data !== 0) {
                    this.artikel.push({name})
                }
            })
            this.DatagetAnnis()
        },
        DatagetAnnis() {
            let count = 0
            this.getData.map((val) => {
                const find = "Annis"
                val.profile.full_name.includes(find) ? count++ : ''
            })
            this.findnama = count
            this.DatagetYear()
        },
        DatagetYear() {
            let count = 0
            let data = []
            this.getData.map((val) => {
                const find = "2020"
                data = val.articles
                // val.articles.published_at.includes(find) ? count++ : ''
                console.log(data, 'artikel')
            })
            this.findartikel = count
            this.DatagetBorn()
        },
        DatagetBorn() {
            let count = 0
            this.getData.map((val) => {
                const find = "1986"
                console.log(val)
                val.profile.birthday.includes(find) ? count++ : ''
            })
            this.findborn = count
        }
    }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>

</style>